function SMR_ER
x0=[10 10]; %initial guess (extant of reactions)
x=fsolve(@fun1,x0)
% Component mole flow in reactor effluent
nH2O=125-x(1)-x(2)
nCH4=50-x(1)
nCO=x(1)-x(2)
nCO2=x(2)
nH2=3*x(1)+x(2)
y2=[nH2O nCH4 nCO nCO2 nH2];
end

function y=fun1(x)
y(1)=25*(x(1)-x(2))*(3*x(1)+x(2))^3-94.2*(50-x(1))*...
    (125-x(1)-x(2))*(175+2*x(1))^2;
y(2)=x(2)*(3*x(1)+x(2))-1.2*(x(1)-x(2))*(125-x(1)-x(2));
end